package com.yingxin.springcloudserver.controller;

import com.yingxin.springcloudserver.entity.User;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@RestController
public class RestApi {

    @RequestMapping("/")
    public String home() {
        return "hello world form server No.1";
    }

    @GetMapping("/hello")
    public String hello(){
        return "hello from fast server";
    }

//    @GetMapping("/hello2")
//    public String hello2(){
//        System.out.println(Thread.currentThread().getName());
//        try {
//            Thread.sleep(500);
//        } catch (InterruptedException e) {
//            e.printStackTrace();
//        }
//        return "hello2";
//    }

    @GetMapping("/exampleforget")
    public User getUser() {
        return new User("no1", "张三", 25);
    }

    @GetMapping("/queryUserList")
    public List<User> getUsers() {
        List<User> users = new ArrayList<>();
        User tom = new User("no1", "tom", 25);
        User amy = new User("no2", "amy", 22);
        users.add(tom);
        users.add(amy);
        return users;
    }
}
